#include <dlfcn.h>
#define NULL ((void*)0)

int main(void) {
    void  *lib;
    void (*symbol) (void);

    lib = dlopen("./lib.so", RTLD_LAZY);
    if( lib == NULL ) {
        printf("couldn't open lib\n");
        return 0;
    }

    symbol = dlsym(lib, "_symbol");
    if( symbol == NULL ) {
        printf("couldn't load _symbol\n");
        return 0;
    }

    symbol();

    dlclose(lib);

    return 0;
}

